# Class: RecombLZ

## LocusZoom_Adapters~RecombLZ()

Retrieve Recombination Rate Data, as fetched from the LocusZoom API server (or compatible)

## Constructor

#### new RecombLZ()

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`config.url` | string |  | The base URL for the remote data
`config.build` |  | <optional> | The genome build to use May be overridden by a global parameter `plot.state.genome_build` so that all datasets can be fetched for the appropriate build in a consistent way.
`config.source` | Number | <optional> | The ID of the chosen dataset. Most usages should omit this parameter and let LocusZoom choose the newest available dataset to use based on the genome build: defaults to recent HAPMAP recombination rate, GRCh37.

Source:
  - data/adapters.js, line 636
See:
  - module:LocusZoom_Adapters~BaseUMAdapter

### Methods

#### _getURL()

Add query parameters to the URL to construct a query for the specified region

Source:
  - data/adapters.js, line 647